Cannot use IDM in this browser

I cannot use IDM in this browser and I need it

What is IDM?

Which Brave version do you use? You can also open a bug report here (please choose the right category above):
https://community.brave.com/c/support-and-troubleshooting

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.